GSE - Bug #18

NI USB UARTS Disappeared
04/02/2018 08:56 AM - Greg Mathis

Status: Resolved Start date: 04/02/2018
Priority: Normal Due date:

Assignee: Greg Mathis % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

While debugging the Pender boot from PROM issue, we put the Pender board in the Prototype EGSE PC. (Thinking maybe it won't
boot from PROM unless in a PCI slot, but it didn't matter).

After removing the board, the 2 National Instruments USB-485 devices, which are used for Command and Telemetry UART
interfaces to the prototype control board (Pender board) were no longer showing up in device manager.

| tried rebooting PC, no luck.

| tried power cycling PC, no luck.

| tried a new USB-485 still in the cabinet, no luck.

| looked using NI-MAX, it also didn't see the UARTS. NI-MAX show Nl-serial driver version 17.0. | saw on ni.com that 17.5 is
available, so | downloaded and installed, which took quite a while.

History

#1 - 04/03/2018 05:27 PM - Greg Mathis

- Status changed from New to Resolved

After installing this updated driver, the UARTS have reappeared. Not really sure what happened ...

#2 - 10/12/2018 02:45 PM - Greg Mathis

So after moving the "Prototype GSE" PC, the NI USB-Serial ports disappeared again. Well, now there is currently no NI-Serial driver upgrade. They
are still on version 17.5. | tried reinstalling 17.5 on top of the old 17.5 installation, but that didn't help. So | figured | need to uninstall Serial 17.5 first.
But you have to use the NI Package Manager tool to do this. (If you try the Windows Control Panel software removal route, it will simply launch the NI
Package Manager). But | was getting error messages when launching NI Package Manager. It would run, but it didn't show NI Serial driver. After
talking with National Instruments, they had me directly download the latest NI Package Manager install executable. (Trying to upgrade NI Package
Manager from within itself also produced a bunch of error messages). Once this latest NI Package Manager was installed, it now shows NI Serial
17.5 driver. So | removed it. Rebooted PC. Then reinstalled the NI Serial 17.5 driver from the downloaded install executable. Now the USB-Serial
ports are detected once again. NI didn't know why they disappeared in the first place.
